# Ogre::Compiler2Pass::TokenInst Struct Reference

structure for Token instructions that are constructed during first pass More...

`#include <OgreCompiler2Pass.h>`

List of all members.

## Public Attributes

size_t | NTTRuleID
size_t | tokenID
| Non-Terminal Token Rule ID that generated Token.
size_t | line
| expected Token ID. Could be UNKNOWN if valid token was not found.
size_t | pos
| line number in source code where Token was found
bool | found
| Character position in source where Token was found.

## Detailed Description

structure for Token instructions that are constructed during first pass

Definition at line 230 of file OgreCompiler2Pass.h.

## Member Data Documentation

bool Ogre::Compiler2Pass::TokenInst::found

| Character position in source where Token was found. Definition at line 236 of file OgreCompiler2Pass.h.

size_t Ogre::Compiler2Pass::TokenInst::line

| expected Token ID. Could be UNKNOWN if valid token was not found. Definition at line 234 of file OgreCompiler2Pass.h.

size_t Ogre::Compiler2Pass::TokenInst::NTTRuleID

| Definition at line 232 of file OgreCompiler2Pass.h.

size_t Ogre::Compiler2Pass::TokenInst::pos

| line number in source code where Token was found Definition at line 235 of file OgreCompiler2Pass.h.

size_t Ogre::Compiler2Pass::TokenInst::tokenID

| Non-Terminal Token Rule ID that generated Token. Definition at line 233 of file OgreCompiler2Pass.h.

The documentation for this struct was generated from the following file:

- OgreCompiler2Pass.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:31 2006